Bug 272982 - Add composer to the Wikipedia-applet search options
Summary: Add composer to the Wikipedia-applet search options
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Wikipedia (show other bugs)
Version: 2.4.0
Platform: Fedora RPMs Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-10 22:47 UTC by Stéphane Magnenat
Modified: 2012-08-16 12:43 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane Magnenat 2011-05-10 22:47:58 UTC
Version:           2.4.0 (using KDE 4.6.2) 
OS:                Linux

It would be nice, in particular for classical music, to be able to fetch information from the "composer" field in the Wikipedia applet.

Reproducible: Always
Comment 1 giggi1999 2011-10-24 17:16:02 UTC
I completely agree with this idea.

Or, if the composer is available, add the possibility to select if showing the artist or the composer.
Comment 2 Myriam Schweingruber 2011-10-25 07:56:58 UTC
I also fully support this idea :)
Comment 3 Ralf Engels 2012-08-16 12:43:12 UTC
Git commit 74ff722e94089ffc70ad284b0f2e9b5043a0636a by Ralf Engels.
Committed on 16/08/2012 at 14:33.
Pushed by rengels into branch 'master'.

Add composer button to wikipedia applet

Adds a new composer button for the Wikipedia applet.

Courtesy of: Ryan McCoskrie
Related: bug 104327
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +13   -0    src/context/applets/wikipedia/WikipediaApplet.cpp
M  +1    -0    src/context/applets/wikipedia/WikipediaApplet.h
M  +3    -0    src/context/applets/wikipedia/WikipediaApplet_p.h
M  +44   -28   src/context/engines/wikipedia/WikipediaEngine.cpp

http://commits.kde.org/amarok/74ff722e94089ffc70ad284b0f2e9b5043a0636a